/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package ch.randelshofer.velcrofly;

import ch.randelshofer.io.Files;
import java.awt.*;
import javax.swing.Icon;

/**
 * FileLabelIcon.
 *
 * @author Werner Randelshofer, Staldenmattweg 2, CH-6405 Immensee
 * @version 1.0 2008-12-05 Created.
 */
public class FileLabelIcon implements Icon {
    private Color darkEnabled;
    private Color brightEnabled;
    private Color darkDisabled;
    private Color brightDisabled;

    public FileLabelIcon(int label) {
        darkEnabled = Files.getLabelColor(label, 0);
        brightEnabled = Files.getLabelColor(label, 0);
        darkDisabled = Files.getLabelColor(label, 0);
        brightDisabled = Files.getLabelColor(label, 0);
    }

    public void paintIcon(Component c, Graphics gr, int x, int y) {
        Graphics2D g = (Graphics2D) gr;

        Color reset = g.getColor();

        Color dark, bright;
        if (c == null || c.isEnabled()) {
            dark = darkEnabled;
           bright = brightEnabled;
        } else {
            dark = darkDisabled;
           bright = brightDisabled;
        }
        g.setColor(bright);
        g.fillRect(x, y, getIconWidth(), getIconHeight());
        g.setColor(dark);
        g.drawRect(x, y, getIconWidth(), getIconHeight());

        g.setColor(reset);
    }

    public int getIconWidth() {
        return 12;
    }

    public int getIconHeight() {
        return 12;
    }

}
