/**
 * @(#)Main.java  1.0  Apr 5, 2008
 *
 * Copyright (c) 2008 Werner Randelshofer
 * Staldenmattweg 2, CH-6405 Immensee, Switzerland
 * All rights reserved.
 *
 * The copyright of this software is owned by Werner Randelshofer. 
 * You may not use, copy or modify this software, except in  
 * accordance with the license agreement you entered into with  
 * Werner Randelshofer. For details see accompanying license terms. 
 */

package ch.randelshofer.velcrofly;

import ch.randelshofer.gui.*;
import java.io.*;
import java.util.*;
import javax.swing.*;

/**
 * Main.
 *
 * @author Werner Randelshofer
 *@version 1.0 Apr 5, 2008 Created.
 */
public class Main {
    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        
        if (args.length > 0) {
            VelcroFly fly;
            fly = new VelcroFly();
            if (args.length == 1) {
                File f = new File(args[0]);
                String lcName = f.getName().toLowerCase();
                if (lcName.endsWith(".zip")) {
                    fly.decompressZip(f);
                } else if (lcName.endsWith(".tar") || lcName.endsWith(".tar.gz")) {
                    fly.decompressTar(f);
                } else {
                    LinkedList list = new LinkedList();
                    list.add(f);
                    fly.compress(list);
                }
            } else {
                LinkedList list = new LinkedList();
                for (int i=0; i < args.length; i++) {
                    list.add(new File(args[i]));
                }
                fly.compress(list);
            }
        } else {
            try {
                UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
            } catch (Exception e) {
                // Do nothing. In case of an error we get the default look and feel
                // which is what we want.
            }
            SwingUtilities.invokeLater(new Runnable() { public void run() {
                VelcroFly fly;
                fly = new VelcroFly();
                fly.show();
                ProgressFrame.getInstance().setLocation(fly.getX()+fly.getWidth(), fly.getY());
            }});
        }
    }
    

}
